BSON_STRING_T(3)

NAME
bson_string_t - bson_string_t

String Building Abstraction

SYNOPSIS

#include <bson/bson.h>
typedef struct {
   char *str;
   uint32_t len;
   uint32_t alloc;
} bson_string_t;

DESCRIPTION

bson_string_t is an abstraction for building strings. As chunks are added to the string, allocations are performed in powers of two.

This API is useful if you need to build UTF-8 encoded strings.

EXAMPLE

bson_string_t *str;
str = bson_string_new (NULL);
bson_string_append_printf (str, "%d %s %f\n", 0, "some string", 0.123);
printf ("%s\n", str->str);
bson_string_free (str, true);

TIP: You can call bson_string_free() with false if you would like to take ownership of str->str. Some APIs that do this might call return bson_string_free (str, false); after building the string.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc